using AlienAttack.MonoGame.Things.Muzzles;
using Microsoft.Xna.Framework;

namespace AlienAttack.MonoGame.Things.Weapons;

public static class ShotPatterns
{
    public static readonly ShotPattern Single = new()
    {
        Shots =
        [
            new Shot2(MuzzleId.Center, new Vector2(0, -6), new Vector2(4, 0))
        ]
    };

    public static readonly ShotPattern Double = new()
    {
        Shots =
        [
            new Shot2(MuzzleId.Left, new Vector2(0, -6), new Vector2(4, 0)),
            new Shot2(MuzzleId.Right, new Vector2(0, -6), new Vector2(4, 0))
        ]
    };

    public static readonly ShotPattern DoubleSpread = new()
    {
        Shots =
        [
            new Shot2(MuzzleId.Left, new Vector2(-1, -6), new Vector2(4, 0)),
            new Shot2(MuzzleId.Right, new Vector2(1, -6), new Vector2(4, 0))
        ]
    };

    public static readonly ShotPattern TripleSpread = new()
    {
        Shots =
        [
            new Shot2(MuzzleId.Left, new Vector2(-1, -6), new Vector2(4, 0)),
            new Shot2(MuzzleId.Center, new Vector2(0, -6), new Vector2(4, 0)),
            new Shot2(MuzzleId.Right, new Vector2(1, -6), new Vector2(4, 0))
        ]
    };
}